# Filtering and Complexity Exceptions

Whenever you make a request that is accepted and gives an error based on **filters and/or complexity** you can check the status code or name in the table below for more information. The description will show more details about how the error is created and what possible steps you can take to avoid these kind of errors.

| Status | Name                    | Description                                                                                                                                                                                                               |
| ------ | ----------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `5004` | Query complexity        | This query (includes,filters etc) is too complex to process by the server, please check [query complexity](/v3/api/request-options.md) for more information.                                                              |
| `5006` | Invalid query parameter | This parameter is not allowed on the request, please remove this parameter before trying again.                                                                                                                           |
| `5010` | Inapplicable Filter     | This filter cannot be used on this request, please check if the filter is correct or remove the filter. Check [filtering](/v3/tutorials-and-guides/tutorials/filter-and-select-fields/filtering.md) for more information. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/api/error-codes/filtering-and-complexity-exceptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
